//获取工作台下账户列
var axios = require('axios');
// const config = require('../config');
const CMD = {}
const url = 'https://ad.oceanengine.com/open_api/2/customer_center/advertiser/list/'
CMD.send = async function(cc_account_id,call_back){
    const api = require('./api');
    api.getToken(async (token)=>{
        if(token!=null){
            console.log("token",token)
            const headers =  {
                "Access-Token": token // 通常情况下，如果 URL 中已经包含了 access_token，这里的 header 可能是多余的，除非 API 文档特别指出需要
            }
            const params = {
                cc_account_id : cc_account_id,
                page_size: 100,
            };
            axios.get(url, { params, headers })
            .then(response => {
                global.config.account_list = response.data.data.list
                call_back(global.config.account_list)
                // console.log("jl_get_account_list:",response.data.data.list); 
            })
            .catch(error => {
                call_back(null)
                console.error("Error jl_get_account_list GET request:", error);
            });
        }
    })
}
module.exports = CMD;

//是否必填：是, 字段 : cc_account_id  类型 :number  描述 :巨量引擎工作台（原纵横组织）id，通过【获取已授权账户】接口获取
//是否必填：否, 字段 : account_source 类型 :string 描述 :账户类型，允许值：AD 巨量广告广告主账号（默认）ENTERPRISE企业号 LOCAL 本地推
//是否必填：否, 字段 ：filtering 类型 :object {account_name} 根据账户名称过滤
//是否必填：否, 字段 ：page 类型 : number 描述：页码默认值: 1
//是否必填：否, 字段 ：page_size 类型 ： 	页面大小 默认值: 10，最大值：100

//应答示例
// HTTPS/1.1 200 OK
// {
//     "message": "OK",
//     "code": 0,
//     "data": {
//         "list": [ 账户列表
//             {
//                 "advertiser_id": xxx    广告主id（一个对象只会返回企业号和广告主其中一种）
//                 "advertiser_name": "xxx"  广告主名称（一个对象只会返回企业号和广告主其中一种）
//             }
//         ],
//         "page_info": {
//             "total_number": 1, 总数
//             "page": 1, 页数
//             "page_size": 100, 页面大小
//             "total_page": 1 总页数   
//         },
//     }
// }